%define upstream_name	 XML-XSLT
%define upstream_version 0.48

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	XML::XSLT - A perl module for processing XSLT
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/pod/XML::XSLT
Source0:	https://cpan.metacpan.org/authors/id/J/JS/JSTOWE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(XML::Parser)
BuildRequires:  perl(XML::DOM)
BuildArch: noarch


%description
This module implements the W3C's XSLT specification. The goal is
full implementation of this spec, but we have not yet achieved
that. However, it already works well. See XML::XSLT Commands for
the current status of each command.

XML::XSLT makes use of XML::DOM and LWP::Simple, while XML::DOM
uses XML::Parser.  Therefore XML::Parser, XML::DOM and LWP::Simple
have to be installed properly for XML::XSLT to run.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
# (tv) fix doc permissions:
chmod 755 examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc ChangeLog MANIFEST README examples
#%doc %attr(644,root,-) ChangeLog MANIFEST README examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.480.0-12.mga10
+ Revision: 2207329
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.480.0-11.mga9
+ Revision: 1816617
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 danf <danf> 0.480.0-10.mga9
+ Revision: 1790332
- Rebuild for libxslt ver. 1.1.35
- Update URL

* Wed Feb 12 2020 umeabot <umeabot> 0.480.0-9.mga8
+ Revision: 1498554
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.480.0-8.mga7
+ Revision: 1272818
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.480.0-7.mga6
+ Revision: 1036174
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.480.0-6.mga6
+ Revision: 944409
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.480.0-5.mga5
+ Revision: 744668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.480.0-4.mga5
+ Revision: 686979
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.480.0-3.mga4
+ Revision: 516307
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.480.0-2.mga3
+ Revision: 375239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 28931
- mageia rebuild
- imported package perl-XML-XSLT


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.480.0-1mdv2010.1
+ Revision: 401811
- rebuild using %%perl_convert_version
- fixed license field

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.48-6mdv2009.0
+ Revision: 224678
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.48-5mdv2008.1
+ Revision: 180665
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.48-4mdv2007.0
+ Revision: 76920
- Import perl-XML-XSLT

* Mon Nov 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.48-4mdv2007.1
- fix doc perms

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.48-3mdk
- Fix BuildRequires

* Tue Jun 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.48-2mdk
- fix deps (rgs)
- misc spec file fixes

* Sat Apr 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.48-1mdk
- 0.48

